console.log('%c 🪐| stellar theme injected', 'color: #9335f2');
var properties = {
    colorCanvasDefault: '#0c0c0c',
    colorHeaderBg: '#111111',
    colorAccentFg: '#9335f2',
    colorCanvasSubtle: '#111111',
    colorPageHeaderBg: '#0c0c0c',
    colorAccentEmphasis: '#aa74e0',
    colorCanvasOverlay: '#111111',
    colorPrimerBorderActive: '#9335f2',
    colorAccentSubtle: '#aa74e020',
    colorCalanderGraphDayBg: '#111111',
    colorCalanderGraphDayBorder: '#11111120',
    colorCalanderGraphDayL1Bg: '#5c2296',
    colorCalanderGraphDayL2Bg: '#9335f2',
    colorCalanderGraphDayL3Bg: '#aa74e0',
    colorCalanderGraphDayL4Bg: '#c7a4ea',
    colorNeutralMuted: '#111111',
    colorBtnBg: '#111111',
    colorBtnHoverBg: '#161616',
    colorBgHoverBorder: '#5b5b5b',
    colorHeaderSearchBg: '#111111',
    colorCanvasInset: '#111111',
    colorAccentMuted: '#9335f240',
    stellarInjectedColorSelection: '#9335f2',
    stellarInjectedColorLoadingBar: '#9335f2',
    stellarInjectedColorScrollbarTrack: '#0f0f0e',
    stellarInjectedColorScrollbarThumb: 'linear-gradient(to top, #9335f2 0%, #aa74e0 100%)',
    stellarInjectedTransitionDuration: '0ms',
    stellarInjectedColorNotifcation: 'linear-gradient(#9335f2, #9335f2)',
    stellarInjectedColorNotifcationBorder: '2px solid #aa74e020',
    stellarInjectedColorCheckboxActive: '#ffffff',
    stellarInjectedColorCheckboxFocus: '#9335f2',
    stellarInjectedColorRadioFocus: '#9335f2'
};
chrome.storage.sync.get(properties, function (items) {
    var injectedSheet = "\n    :root {\n      --color-canvas-default: ".concat(items.colorCanvasDefault, " !important;\n      --color-header-bg: ").concat(items.colorHeaderBg, " !important;\n      --color-accent-fg: ").concat(items.colorAccentFg, " !important;\n      --color-canvas-subtle: ").concat(items.colorCanvasSubtle, " !important;\n      --color-page-header-bg: ").concat(items.colorPageHeaderBg, " !important;\n      --color-accent-emphasis: ").concat(items.colorAccentEmphasis, " !important;\n      --color-canvas-overlay: ").concat(items.colorCanvasOverlay, " !important;\n      --color-primer-border-active: ").concat(items.colorPrimerBorderActive, " !important;\n      --color-accent-subtle: ").concat(items.colorAccentSubtle, " !important;\n      --color-calendar-graph-day-bg: ").concat(items.colorCalanderGraphDayBg, " !important;\n      --color-calendar-graph-day-border: ").concat(items.colorCalanderGraphDayBorder, " !important;\n      --color-calendar-graph-day-L1-bg: ").concat(items.colorCalanderGraphDayL1Bg, " !important;\n      --color-calendar-graph-day-L2-bg: ").concat(items.colorCalanderGraphDayL2Bg, " !important;\n      --color-calendar-graph-day-L3-bg: ").concat(items.colorCalanderGraphDayL3Bg, " !important;\n      --color-calendar-graph-day-L4-bg: ").concat(items.colorCalanderGraphDayL4Bg, " !important;\n      --color-neutral-muted: ").concat(items.colorNeutralMuted, " !important;\n      --color-btn-bg: ").concat(items.colorBtnBg, " !important;\n      --color-btn-hover-bg: ").concat(items.colorBtnHoverBg, " !important;\n      --color-bg-hover-border: ").concat(items.colorBgHoverBorder, " !important;\n      --color-header-search-bg: ").concat(items.colorHeaderSearchBg, " !important;\n      --color-canvas-inset: ").concat(items.colorCanvasInset, " !important;\n      --color-accent-muted: ").concat(items.colorAccentMuted, " !important;\n      --stellar-injected-color-selection: ").concat(items.stellarInjectedColorSelection, " !important;\n      --stellar-injected-color-loading-bar: ").concat(items.stellarInjectedColorLoadingBar, " !important;\n      --stellar-injected-color-scrollbar-track: ").concat(items.stellarInjectedColorScrollbarTrack, " !important;\n      --stellar-injected-color-scrollbar-thumb: ").concat(items.stellarInjectedColorScrollbarThumb, " !important;\n      --stellar-injected-transition-duration: ").concat(items.stellarInjectedTransitionDuration, " !important;\n      --stellar-injected-color-notifcation: ").concat(items.stellarInjectedColorNotifcation, " !important;\n      --stellar-injected-color-notifcation-border: ").concat(items.stellarInjectedColorNotifcationBorder, " !important;\n      --stellar-injected-color-checkbox-active: ").concat(items.stellarInjectedColorCheckboxActive, " !important;\n      --stellar-injected-color-checkbox-focus: ").concat(items.stellarInjectedColorCheckboxFocus, " !important;\n      --stellar-injected-color-radio-focus: ").concat(items.stellarInjectedColorRadioFocus, " !important;\n    }");
    var sheet = document.styleSheets[0];
    sheet.insertRule(injectedSheet);
    console.log("%c \uD83E\uDE90 | theme loaded:".concat(injectedSheet), 'color: #9335f2');
});
