var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var _this = this;
var saveOption = function (id, savedName) {
    var val = document.getElementById(id).value;
    if (val === '')
        return;
    var itemToSave = {};
    itemToSave[savedName] = val;
    chrome.storage.sync.set(itemToSave, function () { });
};
var varArray = [
    { property: 'color-canvas-default', savedName: 'colorCanvasDefault' },
    { property: 'color-header-bg', savedName: 'colorHeaderBg' },
    { property: 'color-accent-fg', savedName: 'colorAccentFg' },
    { property: 'color-canvas-subtle', savedName: 'colorCanvasSubtle' },
    { property: 'color-page-header-bg', savedName: 'colorPageHeaderBg' },
    { property: 'color-accent-emphasis', savedName: 'colorAccentEmphasis' },
    { property: 'color-canvas-overlay', savedName: 'colorCanvasOverlay' },
    { property: 'color-primer-border-active', savedName: 'colorPrimerBorderActive' },
    { property: 'color-accent-subtle', savedName: 'colorAccentSubtle' },
    { property: 'color-calendar-graph-day-bg', savedName: 'colorCalanderGraphDayBg' },
    { property: 'color-calendar-graph-day-border', savedName: 'colorCalanderGraphDayBorder' },
    { property: 'color-calendar-graph-day-L1-bg', savedName: 'colorCalanderGraphDayL1Bg' },
    { property: 'color-calendar-graph-day-L2-bg', savedName: 'colorCalanderGraphDayL2Bg' },
    { property: 'color-calendar-graph-day-L3-bg', savedName: 'colorCalanderGraphDayL3Bg' },
    { property: 'color-calendar-graph-day-L4-bg', savedName: 'colorCalanderGraphDayL4Bg' },
    { property: 'color-neutral-muted', savedName: 'colorNeutralMuted' },
    { property: 'color-btn-bg', savedName: 'colorBtnBg' },
    { property: 'color-btn-hover-bg', savedName: 'colorBtnHoverBg' },
    { property: 'color-bg-hover-border', savedName: 'colorBgHoverBorder' },
    { property: 'color-header-search-bg', savedName: 'colorHeaderSearchBg' },
    { property: 'color-canvas-inset', savedName: 'colorCanvasInset' },
    { property: 'color-accent-muted', savedName: 'colorAccentMuted' }
];
var stellarVarArray = [
    { property: 'stellar-injected-color-selection', savedName: 'stellarInjectedColorSelection' },
    { property: 'stellar-injected-color-loading-bar', savedName: 'stellarInjectedColorLoadingBar' },
    { property: 'stellar-injected-color-scrollbar-track', savedName: 'stellarInjectedColorScrollbarTrack' },
    { property: 'stellar-injected-color-scrollbar-thumb', savedName: 'stellarInjectedColorScrollbarThumb' },
    { property: 'stellar-injected-transition-duration', savedName: 'stellarInjectedTransitionDuration' },
    { property: 'stellar-injected-color-notification', savedName: 'stellarInjectedColorNotifcation' },
    { property: 'stellar-injected-color-notification-border', savedName: 'stellarInjectedColorNotifcationBorder' },
    { property: 'stellar-injected-color-checkbox-active', savedName: 'stellarInjectedColorCheckboxActive' },
    { property: 'stellar-injected-color-checkbox-focus', savedName: 'stellarInjectedColorCheckboxFocus' },
    { property: 'stellar-injected-color-radio-focus', savedName: 'stellarInjectedColorRadioFocus' }
];
window.onload = function () {
    var fn = function () { return __awaiter(_this, void 0, void 0, function () {
        return __generator(this, function (_a) {
            varArray.forEach(function (obj) {
                var node = document.createElement('div');
                var nodeClass = document.createAttribute('class');
                nodeClass.value = 'input-container';
                node.setAttributeNode(nodeClass);
                var p = document.createElement('p');
                p.textContent = obj.property;
                var input = document.createElement('input');
                var inputId = document.createAttribute('id');
                inputId.value = obj.property;
                input.setAttributeNode(inputId);
                node.appendChild(p);
                node.appendChild(input);
                document.getElementById('input-containers-container').appendChild(node);
            });
            return [2];
        });
    }); };
    fn().then(function () { return restoreOptions(); });
    var textareas = document.querySelectorAll('textarea');
    textareas.forEach(function (textarea) {
        textarea.setAttribute('style', 'height:' + textarea.scrollHeight + 'px;overflow-y:hidden;');
        textarea.oninput = function () {
            textarea.style.height = 0;
            textarea.style.height = textarea.scrollHeight + 'px';
        };
    });
};
var saveOptions = function () { return __awaiter(_this, void 0, void 0, function () {
    return __generator(this, function (_a) {
        varArray.forEach(function (obj) {
            saveOption(obj.property, obj.savedName);
        });
        stellarVarArray.forEach(function (obj) {
            saveOption(obj.property, obj.savedName);
        });
        alert('options saved');
        return [2];
    });
}); };
var restoreOptions = function () {
    chrome.storage.sync.get({
        colorCanvasDefault: '#0c0c0c',
        colorHeaderBg: '#111111',
        colorAccentFg: '#9335f2',
        colorCanvasSubtle: '#111111',
        colorPageHeaderBg: '#0c0c0c',
        colorAccentEmphasis: '#aa74e0',
        colorCanvasOverlay: '#111111',
        colorPrimerBorderActive: '#9335f2',
        colorAccentSubtle: '#aa74e020',
        colorCalanderGraphDayBg: '#111111',
        colorCalanderGraphDayBorder: '#11111120',
        colorCalanderGraphDayL1Bg: '#5c2296',
        colorCalanderGraphDayL2Bg: '#9335f2',
        colorCalanderGraphDayL3Bg: '#aa74e0',
        colorCalanderGraphDayL4Bg: '#c7a4ea',
        colorNeutralMuted: '#111111',
        colorBtnBg: '#111111',
        colorBtnHoverBg: '#161616',
        colorBgHoverBorder: '#5b5b5b',
        colorHeaderSearchBg: '#111111',
        colorCanvasInset: '#111111',
        colorAccentMuted: '#9335f240',
        stellarInjectedColorSelection: '#9335f2',
        stellarInjectedColorLoadingBar: '#9335f2',
        stellarInjectedColorScrollbarTrack: '#0f0f0e',
        stellarInjectedColorScrollbarThumb: 'linear-gradient(to top, #9335f2 0%, #aa74e0 100%)',
        stellarInjectedTransitionDuration: '0ms',
        stellarInjectedColorNotifcation: 'linear-gradient(#9335f2, #9335f2)',
        stellarInjectedColorNotifcationBorder: '2px solid #aa74e020',
        stellarInjectedColorCheckboxActive: '#ffffff',
        stellarInjectedColorCheckboxFocus: '#9335f2',
        stellarInjectedColorRadioFocus: '#9335f2'
    }, function (items) {
        var setPlaceHolder = function (id, val) {
            document.getElementById(id).placeholder = val;
        };
        varArray.forEach(function (obj) {
            setPlaceHolder(obj.property, items[obj.savedName]);
        });
        stellarVarArray.forEach(function (obj) {
            setPlaceHolder(obj.property, items[obj.savedName]);
        });
    });
};
var clearAllInputValues = function () {
    var inputs = document.querySelectorAll('.input-container');
    inputs.forEach(function (input) {
        input.children[1].value = '';
    });
};
document.getElementById('save').addEventListener('click', function () {
    saveOptions().then(function () {
        restoreOptions();
        clearAllInputValues();
    });
});
